Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-crcmod: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 13:06:58 +0000

---
 testing/py-crcmod/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/py-crcmod/APKBUILD
diff --git a/testing/py-crcmod/APKBUILD b/testing/py-crcmod/APKBUILD
new file mode 100644
index 0000000..50ee2ec
--- /dev/null
+++ b/testing/py-crcmod/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-crcmod
+_pkgname=crcmod
+pkgver=1.7
+pkgrel=0
+pkgdesc="Cyclic Redundancy Check (CRC) implementation in Python"
+url="https://pypi.python.org/pypi/crcmod/"
+arch="all"
+license="MIT"
+depends="python"
+makedepends="python-dev"
+source="https://pypi.python.org/packages/source/c/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="2d5b92117d958dcead94f9e17f54cd32  crcmod-1.7.tar.gz"
+sha256sums="dc7051a0db5f2bd48665a990d3ec1cc305a466a77358ca4492826f41f283601e  crcmod-1.7.tar.gz"
+sha512sums="3c2f65004761c84f19d6ba95a0af74512108bad5007d9e20f8e684822e4196ce17073e58b47d2fa997e058e3d82782f3393458b6f0e86935418f38877d319a31  crcmod-1.7.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 13:06:58 GMT